from mlmodel import (
    readCSV,
    datasetInfo,
    advancedStats,
    scatterMatrix,
    correlationHeatmap,
    splitDataset,
)


def main():
    df = readCSV(input("input a file name to load: "))
    print(datasetInfo(df))

    # collect some stats with pandas
    advancedStats(df)

    # show a scattermatrix of first 5 columns
    scatterMatrix(df, 5)

    # show a correlation heatmap of all columns
    correlationHeatmap(df)

    # split dataset into training and testing data, with separate labels
    # make sure data is randomly shuffled beforehand!!
    train, train_labels, test, test_labels = splitDataset(df, test_percentage=20)

    # Print some info about test/train split
    print("Test dataset has {} entries".format(len(test)))
    print("Train dataset has {} entries".format(len(train)))


if __name__ == "__main__":
    main()
